Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class Category

    java.lang.Object
      |
      +--com.compoze.ebusiness.Category

All Implemented Interfaces:
  java.io.Serializable

public class Category
extends java.lang.Object
implements java.io.Serializable

This class implements a category and stores information such as name. To create a custom category, a name key is used to lookup the readable string from `ebusiness_resources.properties`. For internationalization, this properties file can be found in the `j2ee_runtime.jar` at `com.compoze.ebusiness.ebusiness_resources.properties`.

See Also:
  Serialized Form

Field Summary
`static Category` | `BILL_PAYMENT` This value represents the 'bill payment' category.
`static Category` | `BIRTHDAY` This value represents the 'birthday' category.
`static Category` | `CLIENTS` This value represents the 'clients' category.
`static Category` | `COMMERCIAL` This value represents the 'commercial' category.
`static Category` | `GRADUATION` This value represents the 'graduation' category.
`static Category` | `HOLIDAY` This value represents the 'holiday' category.
`static Category` | `INTERVIEW` This value represents the 'interview' category.
`static Category` | `MOVIE` This value represents the 'movie' category.
`static Category` | `PERSONAL` This value represents the 'personal' category.
`static Category` | `PHONE_CALLS` This value represents the 'phone calls' category.
`static Category` | `PROFESSIONAL` This value represents the 'professional' category.
`static Category` | `PROJECTS` This value represents the 'projects' category.
`static Category` | `TRAVEL` This value represents the 'travel' category.
`static Category` | `TV_SHOW` This value represents the 'TV show' category.
`static Category` | `UNFILED` This value represents the 'unfiled' category.
`static Category` | `VACATION` This value represents the 'vacation' category.

Constructor Summary
`protected` | `Category(java.lang.String sNameKey)` Constructor.

Method Summary
`static Category` | `create(java.lang.String sName)` Creates a new category.
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Category` object is "equal to" this one.
`static Category` | `get(java.lang.String sName)` Gets the category by name.
`static java.util.List` | `getCategories()` Gets an unmodifiable list of categories.
`java.lang.String` | `getName()` Gets the name of the category.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the category using the specified locale.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BILL_PAYMENT

    public static final Category BILL_PAYMENT

  This value represents the 'bill payment' category.

### BIRTHDAY

    public static final Category BIRTHDAY

  This value represents the 'birthday' category.

### GRADUATION

    public static final Category GRADUATION

  This value represents the 'graduation' category.

### HOLIDAY

    public static final Category HOLIDAY

  This value represents the 'holiday' category.

### INTERVIEW

    public static final Category INTERVIEW

  This value represents the 'interview' category.

### CLIENTS

    public static final Category CLIENTS

  This value represents the 'clients' category.

### VACATION

    public static final Category VACATION

  This value represents the 'vacation' category.

### MOVIE

    public static final Category MOVIE

  This value represents the 'movie' category.

### PROJECTS

    public static final Category PROJECTS

  This value represents the 'projects' category.

### TV_SHOW

    public static final Category TV_SHOW

  This value represents the 'TV show' category.

### PHONE_CALLS

    public static final Category PHONE_CALLS

  This value represents the 'phone calls' category.

### TRAVEL

    public static final Category TRAVEL

  This value represents the 'travel' category.

### COMMERCIAL

    public static final Category COMMERCIAL

  This value represents the 'commercial' category.

### PERSONAL

    public static final Category PERSONAL

  This value represents the 'personal' category.

### PROFESSIONAL

    public static final Category PROFESSIONAL

  This value represents the 'professional' category.

### UNFILED

    public static final Category UNFILED

  This value represents the 'unfiled' category.

Constructor Detail

### Category

    protected Category(java.lang.String sNameKey)

  Constructor.
  Parameters:
    `sNameKey` - the name key of the category (may not be `null` or empty)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the category.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the category using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### get

    public static Category get(java.lang.String sName)

  Gets the category by name. The name is compares ignoring case.
  Parameters:
    `sName` - the name
  Returns:
    the matching category or `null` if not found

### getCategories

    public static java.util.List getCategories()

  Gets an unmodifiable list of categories.
  Returns:
    the list of `Category` objects (unmodifiable)

### create

    public static Category create(java.lang.String sName)

  Creates a new category.
  Parameters:
    `sName` - the name of the category
  Returns:
    the newly created category

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Category` object is "equal to" this one.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.